Subject: Re: bug#76362: 31.0.50; Setting display-line-numbers-type to 'relative crashes Emacs when opening certain files

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Feb 2025 18:02:20 +0200

> Cc: [email-masked]
> Date: Mon, 17 Feb 2025 00:15:31 -0800
> From: Yiyu Zhou <[email-masked]>
> 
> 
> This bug is reproducible with two lines in the init.el file:
> 
> (global-display-line-numbers-mode 1)
> (setopt display-line-numbers-type 'relative)
> 
> I discovered this when calling `push-button' in the help-mode buffer
> trying to view a function definition in its source. I suspect the
> overflow happens when loading a large file into the buffer, since I
> could open certain files without crashing Emacs.
> 
> Here are the details of the backtrace:
> 
> *** buffer overflow detected ***: terminated
> Fatal error 6: Aborted

Thanks, I installed what I think should fix this.  If you still get
the overflow, please tell more details: what function you had in
help-buffer and what other steps are needed to reproduce this.